cascading.operation.assertion

## Class AssertEqualsAll

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.assertion.BaseAssertion
    - - cascading.operation.assertion.AssertEqualsAll

All Implemented Interfaces:
  DeclaresResults, Assertion, Operation, PlannedOperation, ValueAssertion, Traceable, java.io.Serializable

    public class AssertEqualsAll
    extends BaseAssertion
    implements ValueAssertion

Class AssertEqualsAll asserts that every value in the argument values `Tuple` is equal to the value provided on the constructor.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
Constructor and Description
`AssertEqualsAll(java.lang.Object value)` Constructor AssertEqualsAll creates a new AssertEqualsAll instance.

### Method Summary

Methods
`void` `doAssert(FlowProcess flowProcess, ValueAssertionCall assertionCall)` Method doAssert performs the assertion.
`boolean` `equals(java.lang.Object object)`
`java.lang.Object` `getValue()`
`int` `hashCode()`

### Methods inherited from class cascading.operation.assertion.BaseAssertion

`fail, fail, getMessage, supportsPlannerLevel, throwFail, throwFail`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface cascading.operation.PlannedOperation

`supportsPlannerLevel`

### Methods inherited from interface cascading.operation.Operation

`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

### Constructor Detail

#### AssertEqualsAll

    @ConstructorProperties(value="value")
    public AssertEqualsAll(java.lang.Object value)

Constructor AssertEqualsAll creates a new AssertEqualsAll instance.

Parameters:
  `value` - of type Comparable

### Method Detail

#### getValue

    public java.lang.Object getValue()

#### doAssert

    public void doAssert(FlowProcess flowProcess,
                ValueAssertionCall assertionCall)

Description copied from interface: `ValueAssertion`
Method doAssert performs the assertion.

Specified by:
  `doAssert` in interface `ValueAssertion`
Parameters:
  `flowProcess` - of type FlowProcess
  `assertionCall` - of type ValueAssertionCall

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `BaseAssertion`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `BaseAssertion`